# Uses of Interface
org.apache.sling.commons.metrics.MetricsService

## Uses of MetricsService in org.apache.sling.commons.metrics

Fields in org.apache.sling.commons.metrics declared as MetricsService
Modifier and Type
Field
Description
`static final MetricsService`
MetricsService.`NOOP`
Dummy variant of MetricsService which does not collect any metric
Methods in org.apache.sling.commons.metrics that return MetricsService
Modifier and Type
Method
Description
`static MetricsService`
MetricsServiceFactory.`getMetricsService(Class<?> c)`
Provide a MetricsService mapped to the Bundle that loaded class c